Opened 9 years ago

Closed 8 years ago

#785 closed Bug (fixed)

Crash report 2013-07-09

Reported by: no-reply@… Owned by: coredevs
Priority: Unclassified Milestone: CrypTool 2.0 BETA 10
Component: General Keywords:
Cc:

Description

Title: Crash report
Exception at 7/9/2013 5:26:41 PM (UTC time).
User message:

-
Exception:
System.NullReferenceException: Object reference not set to an instance of an object.
   at Cryptool.CrypWin.MainWindow.OpenProject(String fileName, FileLoadedHandler OnLoaded)
   at Cryptool.CrypWin.MainWindow.<>c__DisplayClass43.<QueueThread>b__42(Object )
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.DispatcherOperation.InvokeImpl()
   at System.Windows.Threading.DispatcherOperation.InvokeInSecurityContext(Object state)
   at System.Threading.ExecutionContext.runTryCode(Object userData)
   at System.Runtime.CompilerServices.RuntimeHelpers.ExecuteCodeWithGuaranteedCleanup(TryCode code, CleanupCode backoutCode, Object userData)
   at System.Threading.ExecutionContext.RunInternal(ExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state, Boolean ignoreSyncCtx)
   at System.Threading.ExecutionContext.Run(ExecutionContext executionContext, ContextCallback callback, Object state)
   at System.Windows.Threading.DispatcherOperation.Invoke()
   at System.Windows.Threading.Dispatcher.ProcessQueue()
   at System.Windows.Threading.Dispatcher.WndProcHook(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndWrapper.WndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam, Boolean& handled)
   at MS.Win32.HwndSubclass.DispatcherCallbackOperation(Object o)
   at System.Windows.Threading.ExceptionWrapper.InternalRealCall(Delegate callback, Object args, Int32 numArgs)
   at MS.Internal.Threading.ExceptionFilterHelper.TryCatchWhen(Object source, Delegate method, Object args, Int32 numArgs, Delegate catchHandler)
   at System.Windows.Threading.Dispatcher.InvokeImpl(DispatcherPriority priority, TimeSpan timeout, Delegate method, Object args, Int32 numArgs)
   at MS.Win32.HwndSubclass.SubclassWndProc(IntPtr hwnd, Int32 msg, IntPtr wParam, IntPtr lParam)
   at MS.Win32.UnsafeNativeMethods.DispatchMessage(MSG& msg)
   at System.Windows.Threading.Dispatcher.PushFrameImpl(DispatcherFrame frame)
   at System.Windows.Threading.Dispatcher.PushFrame(DispatcherFrame frame)
   at System.Windows.Application.RunDispatcher(Object ignore)
   at System.Windows.Application.RunInternal(Window window)
   at System.Windows.Application.Run(Window window)
   at Cryptool.CrypWin.App.Main()

-
System infos:
Operating System: Microsoft Windows NT 6.1.7601 Service Pack 1
Processors: 4
Administrative Rights: False
Current culture: en-US
CrypTool version: 2.0.5065.1
Installation type: NSIS
Build type: Nightly
Build time: 11/14/2012 1:08:16 AM
Product name: CrypTool 2.0 (Nightly Build 5065.1)
Common language runtime version: 4.0.30319.296
System time: 7:26 PM


Change History (1)

comment:1 Changed 8 years ago by matkovic

Resolution: fixed
Status: newclosed

(In [5648]) fixes #785

Note: See TracTickets for help on using tickets.